/*
 * JCadastraVideoTest.java
 * JUnit based test
 *
 * Created on 13 de Agosto de 2004, 18:09
 */

package locadora.ui;

import junit.framework.TestCase;
import junit.framework.*;
import javax.swing.*;
import locadora.core.*;
import locadora.main.*;
import locadora.ui.*;
import locadora.factory.Factory;

/**
 *
 * @author arilo
 */
public class JCadastraVideoTest extends TestCase {
    
    public JCadastraVideoTest(String testName) {
        super(testName);
    }

    protected void setUp() throws java.lang.Exception {
    }

    protected void tearDown() throws java.lang.Exception {
    }

    public static junit.framework.Test suite() {

        junit.framework.TestSuite suite = new junit.framework.TestSuite(JCadastraVideoTest.class);
        
        return suite;
    }

    /**
     * Test of init method, of class locadora.ui.JCadastraVideo.
     */
    public void testInit() {

        System.out.println("testInit");
        
        // TODO add your test code below by replacing the default call to fail.
        fail("The test case is empty.");
    }

    /**
     * Test of setSelecionado method, of class locadora.ui.JCadastraVideo.
     */
    public void testSetSelecionado() {

        System.out.println("testSetSelecionado");
        
        // TODO add your test code below by replacing the default call to fail.
        fail("The test case is empty.");
    }

    /**
     * Test of loadObject method, of class locadora.ui.JCadastraVideo.
     */
    public void testLoadObject() {

        System.out.println("testLoadObject");
        
        // TODO add your test code below by replacing the default call to fail.
        fail("The test case is empty.");
    }

    /**
     * Test of getObject method, of class locadora.ui.JCadastraVideo.
     */
    public void testGetObject() {

        System.out.println("testGetObject");
        
        // TODO add your test code below by replacing the default call to fail.
        fail("The test case is empty.");
    }

    public static void main(java.lang.String[] argList) {

        junit.textui.TestRunner.run(suite());
    }
    
    // TODO add test methods here. The name must begin with 'test'. For example:
    // public void testHello() {}
    
}
